nxt.messaging

## Class UnencryptedEncryptToSelfMessageAppendix

- java.lang.Object
- - nxt.blockchain.Appendix.AbstractAppendix
  - - nxt.messaging.EncryptToSelfMessageAppendix
    - - nxt.messaging.UnencryptedEncryptToSelfMessageAppendix

- All Implemented Interfaces:
    Appendix, Appendix.Encryptable

      public final class UnencryptedEncryptToSelfMessageAppendix
      extends EncryptToSelfMessageAppendix
      implements Appendix.Encryptable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Appendix

      `Appendix.AbstractAppendix, Appendix.Encryptable, Appendix.Parser, Appendix.Prunable`

  - ### Field Summary

    - ### Fields inherited from class nxt.messaging.EncryptToSelfMessageAppendix

      `appendixName, appendixParser, appendixType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnencryptedEncryptToSelfMessageAppendix(byte[] messageToEncrypt, boolean isText, boolean isCompressed)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Transaction transaction, Account senderAccount, Account recipientAccount)`
    `void` | `encrypt(java.lang.String secretPhrase)`
    `Fee` | `getBaselineFee(Transaction transaction)`
    `EncryptedData` | `getEncryptedData()`
    `protected int` | `getMySize()`
    `boolean` | `isAllowed(Chain chain)`
    `boolean` | `isCompressed()`
    `boolean` | `isPhasable()`
    `boolean` | `isText()`
    `protected void` | `putMyBytes(java.nio.ByteBuffer buffer)`
    `protected void` | `putMyJSON(org.json.simple.JSONObject json)`
    `void` | `validate(Transaction transaction)`

    - ### Methods inherited from class nxt.messaging.EncryptToSelfMessageAppendix

      `getAppendixName, getAppendixType`

    - ### Methods inherited from class nxt.blockchain.Appendix.AbstractAppendix

      `getBaselineFeeHeight, getFee, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, isPhased, loadPrunable, loadPrunable, putBytes, validateAtFinish, validateId, verifyVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Appendix

      `hasAppendix`

- - ### Constructor Detail

    - #### UnencryptedEncryptToSelfMessageAppendix

          public UnencryptedEncryptToSelfMessageAppendix(byte[] messageToEncrypt,
                                                         boolean isText,
                                                         boolean isCompressed)

  - ### Method Detail

    - #### getMySize

          protected int getMySize()

    - #### putMyBytes

          protected void putMyBytes(java.nio.ByteBuffer buffer)

    - #### putMyJSON

          protected void putMyJSON(org.json.simple.JSONObject json)

      Overrides:
        `putMyJSON` in class `EncryptToSelfMessageAppendix`

    - #### apply

          public void apply(Transaction transaction,
                            Account senderAccount,
                            Account recipientAccount)

    - #### encrypt

          public void encrypt(java.lang.String secretPhrase)

      Specified by:
        `encrypt` in interface `Appendix.Encryptable`

    - #### getBaselineFee

          public Fee getBaselineFee(Transaction transaction)

      Specified by:
        `getBaselineFee` in interface `Appendix`
      Overrides:
        `getBaselineFee` in class `Appendix.AbstractAppendix`

    - #### validate

          public void validate(Transaction transaction)
                        throws NxtException.ValidationException

      Specified by:
        `validate` in class `Appendix.AbstractAppendix`
      Throws:
        `NxtException.ValidationException`

    - #### getEncryptedData

          public final EncryptedData getEncryptedData()

    - #### isText

          public final boolean isText()

    - #### isCompressed

          public final boolean isCompressed()

    - #### isPhasable

          public final boolean isPhasable()

      Specified by:
        `isPhasable` in class `Appendix.AbstractAppendix`

    - #### isAllowed

          public boolean isAllowed(Chain chain)